{% extends 'dashboard/_private.layout.html.twig' %}

{% block title %}Communes{% endblock %}

{% block content %}
    <div class="dashboard__container">

        <a class="fr-btn fr-btn--icon-left fr-icon-add-circle-fill"
           href="{{ path('app_employer_new', { employer: app.current_route_parameters.employer }) }}">Ajouter</a>

        <div class="fr-table" id="table-md-component">
            <div class="fr-table__wrapper">
                <div class="fr-table__container">
                    <div class="fr-table__content">
                        <table id="table-md">
                            <caption>
                                Liste des communes
                            </caption>
                            <thead>
                            <tr>
                                <th>Id</th>
                                <th>Siren</th>
                                <th>Name</th>
                                <th>Longitude</th>
                                <th>Latitude</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            {% for employer in employers %}
                                <tr>
                                    <td>{{ employer.id }}</td>
                                    <td>{{ employer.siren }}</td>
                                    <td>{{ employer.name }}</td>
                                    <td>{{ employer.longitude }}</td>
                                    <td>{{ employer.latitude }}</td>
                                    <td>
                                        <a class="fr-btn"
                                           href="{{ path('app_employer_show', { employer: app.current_route_parameters.employer, 'id': employer.id}) }}">Voir</a>
                                        <a class="fr-btn fr-btn--secondary"
                                           href="{{ path('app_employer_edit', {employer: app.current_route_parameters.employer,'id': employer.id}) }}">Modifier</a>
                                    </td>
                                </tr>
                            {% else %}
                                <tr>
                                    <td colspan="6">Aucune commune trouvée</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
